// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef CPPCODEGENTEST_PACKAGE1_CLASS8_H
#define CPPCODEGENTEST_PACKAGE1_CLASS8_H

/************************************************************
 Class8 class header
 ************************************************************/

#include "CppCodegenTest/Package1/Pkg_Package1.h"

#include "AnsiCLibrary/Pkg_AnsiCLibrary.h"

namespace CppCodegenTest {
namespace Package1 {

/************************************************************/
/**
 * 
 */
class Class8 {
public:

	/**
	 * 
	 */
	int defaultIValue = 12;

	/**
	 * 
	 * @param iVal1 
	 * @param cVal1 
	 * @param cVal2 
	 * @param iVal2 
	 * @return this 
	 */
	int operation1(int /*in*/iVal1, char /*in*/cVal1, char /*in*/cVal2,
			int /*in*/iVal2 = 2);

	/**
	 * 
	 * @param iVal1 
	 */
	void operation1(int /*in*/iVal1);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Package1
} // of namespace CppCodegenTest

/************************************************************
 End of Class8 class header
 ************************************************************/

#endif
